Scrum - Defect #1201

Assignee personal details on sprint sticker not displayed correctly
2016-09-29 15:37 - Bartosz Firyn

Status: Resolved

Priority: Normal

Category: Sprint board

Target version: Scrum v0.15.0

Source: Development Blocked: No
Detected on version: Scrum v0.14.0 Alone:

Description

Hi,

We are using Scrum 0.14.0 on top of Redmine 3.3.0. The problem | noticed lies in the fact that assignee personal details are too long
to fit into this small sticker box. As a result assignee surname is moved to the next line and since overflow is set to hidden (the
.post-it class), it's not visible. This may be ok in most cases, but when there are more than one person with the same name in a
team, the stickers are misleading.

This is how sticker with a long personal (e.g. Jacek Thelongernamer) details are rendered:

Sestus: IN Progress G0
#124: VGRAT - Device
protocol impl

Jacek )
3.0

If | disable overflow we can see that surname is rendered line below:

Status: 1N Progress 0
#124: WGRAT - Device
protocol impl

Jacek
Relonaernarmer " UH

What | suggest to make this more readable is to modify this sticker class to include text-overflow set to ellipsis and white-space set to
nowrap. This will result in:

Status: 1N Progress @0
#124: WGRAT - Device
protocol impl

Hacek Thelonger... j
3.0

The above attributes needs to be added to the selector:

374 .doer-post-it, .reviewer-post-it, .blocked-post-it {

375 height: 1.3em;

376 font-size: 0.8em;

377 margin-top: 2px;

378 text-align: left;
+ text-overflow: ellipsis;
+ white-space: nowrap;

379 }
https://redmine.ociotec.com/attachments/download/384/scrum%20v0.14.0.tar.gz
http://www.redmine.org/releases/redmine-3.3.0.zip

It has to be done in file:
plugins/scrum/assets/stylesheets/scrum.css

| would change this by myself but | read this comment on the forum about no contribution to project source code. It's sad since there
are fixes we can do on our own to make this plugin better.

Subtasks:
To do # 1204: Apply & test provided patch Resolved

History

#1 - 2016-09-29 15:37 - Bartosz Firyn
This should be a Bug, not User Story. Sorry.

#2 - 2016-10-06 22:06 - Emilio Gonzalez Montafia
- Tracker changed from User story to Defect

- Status changed from New to In progress

- Sprint set to Sprint 29

- Source set to Development

- Detected on version set to Scrum v0.14.0

In deed you provided a patch (in a graphical way), for future issues you could attach to the issue a patch file.
Thanks for the idea & solution!

#3 - 2016-10-06 22:20 - Emilio Gonzalez Montaina

- Status changed from In progress to Resolved

#4 - 2016-11-15 00:36 - Emilio Gonzalez Montafia

- Subject changed from Assignee personal details on sprint stikcer not displayed correctly to Assignee personal details on sprint sticker not displayed
correctly
